func void ZS_Dance ()
{
	PrintDebug("ZS_Dance");
	AI_TakeItem(self,item);
};

func void ZS_DanceLoop()
{
	AI_PlayAni(self, "R_Sexy1");
	AI_GotoWP(self, Npc_GetNearestWp(self));
	PrintDebug("NearestWPDance");
	AI_LookAtNpc(self, other);
	AI_PlayAni(self,  "R_Sexy1");
	AI_GotoWP(self,Npc_GetNextWp(self));
	PrintDebug("OtherWpDance");
	AI_PlayAni(self,  "R_Sexy1");
	AI_LookAtNpc (self,other);
	AI_PlayAni(self, "R_Sexy1");
};

